Subject: Re: VIM 5.0k
From: [email-masked] ("Micheal A. Benzinger")

1 Aug 1997 21:17:30 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Pro Version 3.0.3 (32)
Original-To: "Jerome Gay" <[email-masked]>, <[email-masked]>,
        "Micheal A. Benzinger" <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

Jerome,

I got vim-5.0l and finally figured out what the problem was.  It turns out
that when using termcap, you need to modify vim.h as follows:

513 #if defined(AMIGA) || defined(__linux__) || defined(__CYGWIN32__) ||
defined(__QNX__)
514 # define TBUFSZ 2048            /* buffer size for termcap entry */
515 #else
516 # define TBUFSZ 1024            /* buffer size for termcap entry */
517 #endif

The defined(__CYGWIN32__) needs to be added to up the buffer size for the
terminal type 'linux'.  If this is not done, the linux entry in the termcap
file overflows the character buffer and overwrites the stack.  Now that I have
gotten as far as you, I will work on trying to figure out why it is so darned
slooooooow.  It seems that this is related to the I/O.  When was debugging to
determine the problem, an open for the termcap file took over thirty seconds.

Mike Benzinger

At 09:54 AM 7/29/97 +0200, Jerome Gay wrote:
>
>
>I got a lot of problem too trying to build vim5.0k for gnu-win32, and it's
>still not working properly.
>Do you have binary mounts or text mounts ? (just type mount and check if you
>have text=binary or text!=binary for each mount)
>You'll need binary mounts to build it.
>
>I'm able to build vim (using ncurses), but when it runs, the response is
>desperately slow (this has been identified in the vim faq but for win95, I
>got the same symtoms on NT4SP3 too).
>
>Any idea folks ?
>
>Jerome

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".